diff --git a/samples/bluetooth/peripheral_hids_mouse/src/main.c b/samples/bluetooth/peripheral_hids_mouse/src/main.c
index edc81bef8..ab63df8fc 100644
--- a/samples/bluetooth/peripheral_hids_mouse/src/main.c
+++ b/samples/bluetooth/peripheral_hids_mouse/src/main.c
@@ -68,10 +68,6 @@
 /* Key used to move cursor down */
 #define KEY_DOWN_MASK   DK_BTN4_MSK
 
-/* Key used to accept or reject passkey value */
-#define KEY_PAIRING_ACCEPT DK_BTN1_MSK
-#define KEY_PAIRING_REJECT DK_BTN2_MSK
-
 /* HIDS instance. */
 BT_HIDS_DEF(hids_obj,
 	    INPUT_REP_BUTTONS_LEN,
@@ -118,16 +114,6 @@ static struct conn_mode {
 
 static struct k_work adv_work;
 
-static struct k_work pairing_work;
-struct pairing_data_mitm {
-	struct bt_conn *conn;
-	unsigned int passkey;
-};
-
-K_MSGQ_DEFINE(mitm_queue,
-	      sizeof(struct pairing_data_mitm),
-	      CONFIG_BT_HIDS_MAX_CLIENT_COUNT,
-	      4);
 
 #if CONFIG_BT_DIRECTED_ADVERTISING
 static void bond_find(const struct bt_bond_info *info, void *user_data)
@@ -208,25 +194,6 @@ static void advertising_process(struct k_work *work)
 	advertising_continue();
 }
 
-static void pairing_process(struct k_work *work)
-{
-	int err;
-	struct pairing_data_mitm pairing_data;
-
-	char addr[BT_ADDR_LE_STR_LEN];
-
-	err = k_msgq_peek(&mitm_queue, &pairing_data);
-	if (err) {
-		return;
-	}
-
-	bt_addr_le_to_str(bt_conn_get_dst(pairing_data.conn),
-			  addr, sizeof(addr));
-
-	printk("Passkey for %s: %06u\n", addr, pairing_data.passkey);
-	printk("Press Button 1 to confirm, Button 2 to reject.\n");
-}
-
 
 static void insert_conn_object(struct bt_conn *conn)
 {
@@ -314,7 +281,6 @@ static void disconnected(struct bt_conn *conn, uint8_t reason)
 }
 
 
-#ifdef CONFIG_BT_HIDS_SECURITY_ENABLED
 static void security_changed(struct bt_conn *conn, bt_security_t level,
 			     enum bt_security_err err)
 {
@@ -329,15 +295,12 @@ static void security_changed(struct bt_conn *conn, bt_security_t level,
 			err);
 	}
 }
-#endif
 
 
 BT_CONN_CB_DEFINE(conn_callbacks) = {
 	.connected = connected,
 	.disconnected = disconnected,
-#ifdef CONFIG_BT_HIDS_SECURITY_ENABLED
 	.security_changed = security_changed,
-#endif
 };
 
 
@@ -550,42 +513,6 @@ static void mouse_handler(struct k_work *work)
 	}
 }
 
-#if defined(CONFIG_BT_HIDS_SECURITY_ENABLED)
-static void auth_passkey_display(struct bt_conn *conn, unsigned int passkey)
-{
-	char addr[BT_ADDR_LE_STR_LEN];
-
-	bt_addr_le_to_str(bt_conn_get_dst(conn), addr, sizeof(addr));
-
-	printk("Passkey for %s: %06u\n", addr, passkey);
-}
-
-
-static void auth_passkey_confirm(struct bt_conn *conn, unsigned int passkey)
-{
-	int err;
-
-	struct pairing_data_mitm pairing_data;
-
-	pairing_data.conn    = bt_conn_ref(conn);
-	pairing_data.passkey = passkey;
-
-	err = k_msgq_put(&mitm_queue, &pairing_data, K_NO_WAIT);
-	if (err) {
-		printk("Pairing queue is full. Purge previous data.\n");
-	}
-
-	/* In the case of multiple pairing requests, trigger
-	 * pairing confirmation which needed user interaction only
-	 * once to avoid display information about all devices at
-	 * the same time. Passkey confirmation for next devices will
-	 * be proccess from queue after handling the earlier ones.
-	 */
-	if (k_msgq_num_used_get(&mitm_queue) == 1) {
-		k_work_submit(&pairing_work);
-	}
-}
-
 
 static void auth_cancel(struct bt_conn *conn)
 {
@@ -610,16 +537,6 @@ static void pairing_complete(struct bt_conn *conn, bool bonded)
 static void pairing_failed(struct bt_conn *conn, enum bt_security_err reason)
 {
 	char addr[BT_ADDR_LE_STR_LEN];
-	struct pairing_data_mitm pairing_data;
-
-	if (k_msgq_peek(&mitm_queue, &pairing_data) != 0) {
-		return;
-	}
-
-	if (pairing_data.conn == conn) {
-		bt_conn_unref(pairing_data.conn);
-		k_msgq_get(&mitm_queue, &pairing_data, K_NO_WAIT);
-	}
 
 	bt_addr_le_to_str(bt_conn_get_dst(conn), addr, sizeof(addr));
 
@@ -628,8 +545,6 @@ static void pairing_failed(struct bt_conn *conn, enum bt_security_err reason)
 
 
 static struct bt_conn_auth_cb conn_auth_callbacks = {
-	.passkey_display = auth_passkey_display,
-	.passkey_confirm = auth_passkey_confirm,
 	.cancel = auth_cancel,
 };
 
@@ -637,37 +552,6 @@ static struct bt_conn_auth_info_cb conn_auth_info_callbacks = {
 	.pairing_complete = pairing_complete,
 	.pairing_failed = pairing_failed
 };
-#else
-static struct bt_conn_auth_cb conn_auth_callbacks;
-static struct bt_conn_auth_info_cb conn_auth_info_callbacks;
-#endif /* defined(CONFIG_BT_HIDS_SECURITY_ENABLED) */
-
-
-static void num_comp_reply(bool accept)
-{
-	struct pairing_data_mitm pairing_data;
-	struct bt_conn *conn;
-
-	if (k_msgq_get(&mitm_queue, &pairing_data, K_NO_WAIT) != 0) {
-		return;
-	}
-
-	conn = pairing_data.conn;
-
-	if (accept) {
-		bt_conn_auth_passkey_confirm(conn);
-		printk("Numeric Match, conn %p\n", conn);
-	} else {
-		bt_conn_auth_cancel(conn);
-		printk("Numeric Reject, conn %p\n", conn);
-	}
-
-	bt_conn_unref(pairing_data.conn);
-
-	if (k_msgq_num_used_get(&mitm_queue)) {
-		k_work_submit(&pairing_work);
-	}
-}
 
 
 void button_changed(uint32_t button_state, uint32_t has_changed)
@@ -678,20 +562,6 @@ void button_changed(uint32_t button_state, uint32_t has_changed)
 
 	memset(&pos, 0, sizeof(struct mouse_pos));
 
-	if (k_msgq_num_used_get(&mitm_queue)) {
-		if (buttons & KEY_PAIRING_ACCEPT) {
-			num_comp_reply(true);
-
-			return;
-		}
-
-		if (buttons & KEY_PAIRING_REJECT) {
-			num_comp_reply(false);
-
-			return;
-		}
-	}
-
 	if (buttons & KEY_LEFT_MASK) {
 		pos.x_val -= MOVEMENT_SPEED;
 		printk("%s(): left\n", __func__);
@@ -759,18 +629,16 @@ void main(void)
 
 	printk("Starting Bluetooth Peripheral HIDS mouse example\n");
 
-	if (IS_ENABLED(CONFIG_BT_HIDS_SECURITY_ENABLED)) {
-		err = bt_conn_auth_cb_register(&conn_auth_callbacks);
-		if (err) {
-			printk("Failed to register authorization callbacks.\n");
-			return;
-		}
+	err = bt_conn_auth_cb_register(&conn_auth_callbacks);
+	if (err) {
+		printk("Failed to register authorization callbacks.\n");
+		return;
+	}
 
-		err = bt_conn_auth_info_cb_register(&conn_auth_info_callbacks);
-		if (err) {
-			printk("Failed to register authorization info callbacks.\n");
-			return;
-		}
+	err = bt_conn_auth_info_cb_register(&conn_auth_info_callbacks);
+	if (err) {
+		printk("Failed to register authorization info callbacks.\n");
+		return;
 	}
 
 	err = bt_enable(NULL);
@@ -785,7 +653,6 @@ void main(void)
 	hid_init();
 
 	k_work_init(&hids_work, mouse_handler);
-	k_work_init(&pairing_work, pairing_process);
 	k_work_init(&adv_work, advertising_process);
 
 	if (IS_ENABLED(CONFIG_SETTINGS)) {
